<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IRegistryHub.html">IRegistryHub</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::IRegistryHub Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a48347c170d9c583af73027a27b2f0bd4">getExceptionTranslatorRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a48347c170d9c583af73027a27b2f0bd4">getExceptionTranslatorRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a55534563f7ecf7e20ec1e37285ebe54d">getReporterRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a55534563f7ecf7e20ec1e37285ebe54d">getReporterRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a00281210628e6c616aca1d3e0d84db04">getStartupExceptionRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a00281210628e6c616aca1d3e0d84db04">getStartupExceptionRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a3c511b1d33e5a6d95c333a0ff387df1a">getTagAliasRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a3c511b1d33e5a6d95c333a0ff387df1a">getTagAliasRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#af4f6255f0c0f8f1f179fa9d7d4843076">getTestCaseRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#af4f6255f0c0f8f1f179fa9d7d4843076">getTestCaseRegistry</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a050de0f27f96888c8b410992146c9a09">~IRegistryHub</a>()</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html#a050de0f27f96888c8b410992146c9a09">~IRegistryHub</a>()</td><td class="entry"><a class="el" href="structCatch_1_1IRegistryHub.html">Catch::IRegistryHub</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
